--
-- 
-- Autor: Siwus
--

Tur = {};

function Tur.prerequisitesPresent(specializations)
    return true;
end;

function Tur:load(xmlFile)
	self.PlaneNodeO = Utils.indexToObject(self.components, getXMLString(xmlFile,"vehicle.Tur#indexOpen"));
	self.PlaneNodeC = Utils.indexToObject(self.components, getXMLString(xmlFile,"vehicle.Tur#indexClose"));
	self.isOpen = true;
	setVisibility(self.PlaneNodeO, not self.isOpen);
	setVisibility(self.PlaneNodeC, self.isOpen);
end;

function Tur:delete()
end;

function Tur:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Tur:keyEvent(unicode, sym, modifier, isDown)
	if isDown and sym == Input.KEY_z then
		self.isOpen = not self.isOpen;
	end;
end;

function Tur:update(dt)	
	if self:getIsActive() and self:getIsActiveForInput() then
		setVisibility(self.PlaneNodeO, not self.isOpen);
		setVisibility(self.PlaneNodeC, self.isOpen);
	end;
end;


function Tur:draw()
	if self.isOpen then
		g_currentMission:addExtraPrintText(string.format("Zaloz Tura: Z"));
	else
		g_currentMission:addExtraPrintText(string.format("Zdejmij Tura: Z"));
	end;
end;


function Tur:onAttach(attacherVehicle)
end;


function Tur:onDetach()
end;


function Tur:onLeave()
end;


function Tur:onDeactivate()
end;


function Tur:onDeactivateSounds()
end;
